Bug 246611 - [fix available] OpenOffice.org will only print to the default printer
[fix available] OpenOffice.org will only print to the default printer
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: openoffice.org (Show other bugs)
5.0
All Linux
low Severity medium
: ---
: ---
Assigned To: Caolan McNamara
desktop-bugs@redhat.com
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-07-03 08:58 EDT by Mason Sanders
Modified: 2008-05-21 13:24 EDT (History)
1 user (show)

See Also:
Fixed In Version: RHBA-2008-0463
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-21 13:24:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mason Sanders 2007-07-03 08:58:43 EDT
Description of problem:
Using gnome in RHEL 5 if you have a default printer set, open office will print
to that printer no matter which printer you select in the gnome print dialog. 
If you do not have a default printer set, open office will not print at all and
instead returns the message, "Error while printing"

Version-Release number of selected component (if applicable):
[msanders@msanders ~]$ rpm -qa | grep openoffice
openoffice.org-graphicfilter-2.0.4-5.4.17.2
openoffice.org-impress-2.0.4-5.4.17.2
openoffice.org-math-2.0.4-5.4.17.2
openoffice.org-xsltfilter-2.0.4-5.4.17.2
openoffice.org-draw-2.0.4-5.4.17.2
openoffice.org-calc-2.0.4-5.4.17.2
openoffice.org-writer-2.0.4-5.4.17.2
openoffice.org-core-2.0.4-5.4.17.2
[msanders@msanders ~]$ cat /etc/redhat-release 
Red Hat Enterprise Linux Client release 5 (Tikanga)
[msanders@msanders ~]$ rpm -qa | grep gnomeprint
libgnomeprint22-2.12.1-9.el5
libgnomeprint22-devel-2.12.1-9.el5
libgnomeprintui22-devel-2.12.1-6
libgnomeprintui22-2.12.1-6
gnome-python2-gnomeprint-2.16.0-1.fc6

How reproducible:
reproducible every time

Steps to Reproduce:
1. browsepoll cups.rdu.redhat.com in /etc/cups/cupsd.conf
2. set default printer from gnome menu (System->Preferences->More
Preferences->Default Printer
3. Print something from openoffice and select a printer other than your default
4. The print job will go to your default printer  

Actual results:
print job goes to default printer

Expected results:
print job goes to selected printer

Additional info:
I am a member of the Red Hat Help Desk and we have reproduced this on all of our
 RHEL 5 CSB builds.  If you don't select a default printer, open office won't
print at all.  This is causing confusion internally.
Comment 1 Caolan McNamara 2007-07-03 09:21:19 EDT
I think this is likely to be the same root problem as bug 230993. 

So if someone could grab the latest FC-6 OOo (2.0.4-5.5.23), and force install
it on a RHEL-5 box that currently exhibits this problem and see if it resolves
this problem that'd be great.
Comment 2 Caolan McNamara 2007-07-20 07:27:59 EDT
I think we have the fix for this in a later release
Comment 3 Mason Sanders 2007-07-20 08:10:57 EDT
Caolan,

I am sorry I didn't get back to you sooner about this, but I got busy and
forgot.  I did install the latest Fedora packages on RHEL 5 and I still had this
problem, however, I did not have this problem in Fedora 7.  Is there any way
that we (the Red Hat Help Desk) could get our hands on the updated RHEL OO
packages to test?  We are in desparate need of a less buggy Open Office, and I
think you are correct that later versions of OO fix a lot of the minor issues
and crashes that we get asked about constantly.

Thanks for your help,

Mason Sanders
Comment 4 Caolan McNamara 2007-07-20 09:18:06 EDT
If the FC-7 one works then the fix proposed here should then work (in theory)

For 5.2 I believe we'll be allowed to rebase to a later version of OOo. 

In the meantime, while waiting for this issue to be approved, I'll build a
testing "scratch" build with just the proposed fix for the printer issue added
and post the location here when complete, test version will be
"openoffice.org-2.0.4-5.4.23.0"
Comment 5 RHEL Product and Program Management 2007-10-15 23:55:45 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 7 Caolan McNamara 2007-11-20 08:06:53 EST
Should be ok in 2.3.0 by virtue of rebase
Comment 11 errata-xmlrpc 2008-05-21 13:24:31 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2008-0463.html

Note You need to log in before you can comment on or make changes to this bug.